| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::TrackerSamplerAlgorithm Class Referenceabstract
Tracking API

Abstract base class for TrackerSamplerAlgorithm that represents the algorithm for the specific sampler. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerSamplerAlgorithm:

## Public Member Functions
virtual | ~TrackerSamplerAlgorithm ()
| Destructor. More...
String | getClassName () const
| Get the name of the specific TrackerSamplerAlgorithm. More...
bool | sampling (const Mat &image, Rect boundingBox, std::vector< Mat > &sample)
| Computes the regions starting from a position in an image. More...

## Static Public Member Functions
static Ptr< TrackerSamplerAlgorithm > | create (const String &trackerSamplerType)
| Create TrackerSamplerAlgorithm by tracker sampler type. More...

## Protected Member Functions
virtual bool | samplingImpl (const Mat &image, Rect boundingBox, std::vector< Mat > &sample)=0

## Protected Attributes
String | className

## Detailed Description

Abstract base class for TrackerSamplerAlgorithm that represents the algorithm for the specific sampler.

## Constructor & Destructor Documentation

## § ~TrackerSamplerAlgorithm()

virtual cv::TrackerSamplerAlgorithm::~TrackerSamplerAlgorithm | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## § create()

static Ptr<TrackerSamplerAlgorithm> cv::TrackerSamplerAlgorithm::create | ( | const String & | trackerSamplerType | ) |
| static

Create TrackerSamplerAlgorithm by tracker sampler type.

Parameters

  trackerSamplerType | The trackerSamplerType name

The modes available now:

- "CSC" – Current State Center
- "CS" – Current State

## § getClassName()

String cv::TrackerSamplerAlgorithm::getClassName | ( |  | ) | const

Get the name of the specific TrackerSamplerAlgorithm.

## § sampling()

bool cv::TrackerSamplerAlgorithm::sampling | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample
| ) |  |

Computes the regions starting from a position in an image.

Return true if samples are computed, false otherwise

Parameters

  image | The current frame
  boundingBox | The bounding box from which regions can be calculated
  sample | The computed samples [165] Fig. 1 variable Sk

## § samplingImpl()

virtual bool cv::TrackerSamplerAlgorithm::samplingImpl | ( | const Mat & | image,
|  | Rect | boundingBox,
|  | std::vector< Mat > & | sample
| ) |  |
| protected pure virtual

Implemented in cv::TrackerSamplerPF, cv::TrackerSamplerCS, and cv::TrackerSamplerCSC.

## Member Data Documentation

## § className

String cv::TrackerSamplerAlgorithm::className
| protected

The documentation for this class was generated from the following file:

- /build/3_4-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp